## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemComment Class Reference

`#include <ElemComment.hpp>`

Inheritance diagram for ElemComment:

[legend]
Collaboration diagram for ElemComment:

[legend]
List of all members.

## Public Methods

- ElemComment (StylesheetConstructionContext &constructionContext, Stylesheet &stylesheetTree, const AttributeListType &atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:comment" element. More...
- virtual ~ElemComment ()
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual void execute (StylesheetExecutionContext &executionContext) const
    Execute the element's primary function. More...

## Protected Methods

- virtual bool childTypeAllowed (int xslToken) const
    Given an xsl token type, determine whether or not a child of that type is allowed. More...

## Constructor & Destructor Documentation

ElemComment::ElemComment ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

  | Construct an object corresponding to an "xsl:comment" element. Parameters:
  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

ElemComment::~ElemComment ( | )`[virtual]`

## Member Function Documentation

bool ElemComment::childTypeAllowed ( | int xslToken ) const`[protected, virtual]`

  | Given an xsl token type, determine whether or not a child of that type is allowed. This is so derived types can determine whether a particular type of child is allowed for the instance. It is called from appendChildElem(). The default is to allow no types (no children) Parameters:
  xslToken | The xsl token value of the child.
Returns: true if the child is allowed, or false if not. Reimplemented from ElemTemplateElement.

void ElemComment::execute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

  | Execute the element's primary function. Subclasses of this function may recursively execute down the element tree. Parameters:
  executionContext | The current execution context
Reimplemented from ElemTemplateElement.

const XalanDOMString & ElemComment::getElementName ( | ) const`[virtual]`

| Get a string for the name of the element. Useful for debugging purposes, and error reporting. Returns: A string containing the name of the element. Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemComment.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.